import Vue from 'vue'
import router from './router'
import store from './store'

import 'normalize.css'
import '@/styles/index.less'

import '@/utils/import-vant'
import '@/utils/import-custom-component' // 自定义组件
import '@/utils/filter' // 自定义一些全局过滤函数

import App from './App.vue'

import 'amfe-flexible'

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
