import Vue from "vue";


/**
 * @description 过滤用户名称。只展示两个字
 * @returns String 名字
 */
Vue.filter('changeName', value => {
    if (!value) return '';
    let regexp = /(（.*?）)|(\(.*?\))/ig;
    // 邓婷（瑶） 删除这种中文括号包裹的名字 
    while(1) { /* eslint-disable-line */
        if (value.match(regexp)) {
            value = value.replace(regexp, '')
        } else break
    }

    if(value.length <= 2) return value;
    return value.slice(1,);
})