import { putUserInfo } from '@/api/member'

// :1=头像地址,2=昵称,3=手机号码,4=签名  
const map = ['', '头像', '昵称', '手机号码', '个性签名']

export default {
  methods: {
    // NOTE: Update userinfo
    async put_userinfo (params, isBack) {
      try {
          const result = await putUserInfo(params)
          if (result.code === 1) {
            console.log(result.data);
            this.$toast(`更新${map[params.type]}成功`)
            await this.$store.dispatch('user/getUserInfo')
            isBack && this.$router.go(-1)
          }
      } catch (error) {
          console.log('%c put_userinfo error >>>', 'background: blue; color: #fff', error, params);
      }
  }
  }
}