/**
 * @description 审批接口
 */
import request from '@/utils/request'

// 审批列表
export const getApproveList = data => (request({
    data,
    method: 'POST',
    url: 'approve/get_list'
}))

// 详情
export const getDetail = data => (request({
    data,
    method: 'POST',
    url: 'approve/get_detail'
}))

// 信息
export const getInfo = data => (request({
    data,
    method: 'POST',
    url: 'approve/get_info'
}))

// 审批
export const putAudit = data => (request({
    data,
    method: 'POST',
    url: 'approve/audit'
}))

// 修改
export const editApprove = data => (request({
    data,
    method: 'POST',
    url: 'approve/edit'
}))