'use strict'

const path = require('path')

module.exports = {
  configureWebpack: {
    resolve: {
      alias: {
        '@': path.resolve('src'),
        '@api': path.resolve('src/api')
      }
    },
    devServer: {
      headers: {
        'Access-Control-Allow-Origin': '*'
      },
      disableHostCheck: true
    }
  },
  css: {
    sourceMap: process.env.NODE_ENV === 'development',
    requireModuleExtension: true,
    loaderOptions: {
      less: {
        lessOptions: {

        }
      }
    }
  },

}